Subscribe/Unsubscribe Customer
curl --request POST \
--url https://api.birdeye.com/resources/v1/customer-v2/change-permission \
--header 'Content-Type: application/json' \
--data '
{
"permission": "both-unsubscribed",
"email": [
"test1@mail.in"
],
"phone": [
"2345654326"
],
"accountNumber": 123456789876543
}
'import requests
url = "https://api.birdeye.com/resources/v1/customer-v2/change-permission"
payload = {
"permission": "both-unsubscribed",
"email": ["test1@mail.in"],
"phone": ["2345654326"],
"accountNumber": 123456789876543
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
permission: 'both-unsubscribed',
email: ['test1@mail.in'],
phone: ['2345654326'],
accountNumber: 123456789876543
})
};
fetch('https://api.birdeye.com/resources/v1/customer-v2/change-permission', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 1089,
"message": "Customer id is invalid."
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Contact
Subscribe/Unsubscribe Customer
Customer can be subscribe/unsubscribe from Email & SMS using this API.
POST
/
v1
/
customer-v2
/
change-permission
Subscribe/Unsubscribe Customer
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Body
application/json
Response
OK
⌘I